Bug 227281 - irc/hexchat: fails to include plugins when compiled
Summary: irc/hexchat: fails to include plugins when compiled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Bradley T. Hughes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-04 10:04 UTC by Loyd Craft
Modified: 2018-08-01 20:21 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pkubaj)


Attachments
patch (2.77 KB, patch)
2018-05-07 12:23 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loyd Craft 2018-04-04 10:04:22 UTC
i want to inform you that the plugins such as sysinfo arent making it into the program when iunstalled frpm pkg, or compiled from ports.
Comment 1 Piotr Kubaj freebsd_committer 2018-04-27 16:56:31 UTC
What plugins would you like to see available?

sysinfo is currently disabled, as it introduces another dependency (libpci). I guess I could add another option to install sysinfo plugin (disabled by default).
Comment 2 Piotr Kubaj freebsd_committer 2018-05-07 12:23:42 UTC
Created attachment 193144 [details]
patch

A patch to install sysinfo plugin (default to off).

IMO it's ready to commit.
Comment 3 Bradley T. Hughes freebsd_committer 2018-08-01 20:20:22 UTC
Committed, thanks! :)
Comment 4 commit-hook freebsd_committer 2018-08-01 20:21:01 UTC
A commit references this bug:

Author: bhughes
Date: Wed Aug  1 20:20:00 UTC 2018
New revision: 476196
URL: https://svnweb.freebsd.org/changeset/ports/476196

Log:
  irc/hexchat: add SYSINFO option (off by default)

  PR:		227281
  Submitted by:	pkubaj@anongoth.pl (maintainer)
  Reported by:	lcraft@gmail.com
  Sponsored by:	Miles AS

Changes:
  head/irc/hexchat/Makefile
  head/irc/hexchat/files/patch-plugins_sysinfo_meson.build
  head/irc/hexchat/pkg-plist